AutoCAD Inventor :: Any Way To Pattern Sub-assembly?
Nov 26, 2011
I'm trying to pattern a subassembly onto a final assembly in Inventor, and it won't let me select the subassembly as a feature to be patterned. Is there a way to pattern a subassembly?
I did a pattern in part file which i want to use to rdive an objert (another part) in assembly but whan i place the part in assembly i CAN'T see the pattern so i can't select it & use it.
Is there any way to make the pattern visible/useable?
In Inventor 2012 I know that it is possible to arrange assembly components in a circular or rectangular pattern. But is there a way to arrange these components in an oval pattern?
rule the runs from the assembly. My assembly file has 3 sheet metal parts and what I need is use ilogic rules to export them as .dxf files at the same time. It does work when I write the code for each single part, however, the rules not works when I assembly them together. I keep getting the error message
"Error in rule: Rule3, in document: access dr_same
Unable to cast COM object of type 'Inventor._DocumentClass' to interface type 'Inventor.PartDocument'. This operation failed because the QueryInterface call on the COM component for the interface with IID '{29F0D463-C114-11D2-B77F-0060B0F159EF}' failed due to the following error: No such interface supported (Exception from HRESULT: 0x80004002 (E_NOINTERFACE))."
Something to clear, Rule3 is the rule I wrote in ilogic to export .dxf FILE. everytime the parameter changes, the rule allows me to automatically save the surface as dxf file to a certain location. the rule works perfect in the ipt file.
however, when i assemble 3 sheet metal parts together in an assembly file, this rule not works anymore and give me the above error message.
To increase the speed of production, I like to generate idws of flat patterns from assembly. The following iLogic rule work fine inside a metal sheet (I had to create flat pattern before run this rule).
Imports Inventor.ViewOrientationTypeEnumImports Inventor.DrawingViewStyleEnumDim oDrawingDoc As DrawingDocumentDim oPartDoc As DocumentDim oSheet As sheetDim oTG As TransientGeometryDim oView1 As DrawingViewDim oOptions As NameValueMapoPartDoc [Code] ........
But from an assembly there are some problem ( firstable I'm not an expert of vba and ilogic) Imports Inventor.ViewOrientationTypeEnumImports Inventor.DrawingViewStyleEnumfmgr = ThisApplication.FilemanagerFor Each file In fmgr.filesdoc = ThisApplication.Documents.ItemByName (file.fullfileName)compdef = doc.ComponentDefinition' For each assembly or subassembly'If (doc.documenttype = 12291) Then For Each occ In compdef.Occurrences' For sheet metal or part [Code] ........
Any work around for rectangular patterns in assemblies?
I want to pattern a screw using an existing Part Feature Pattern; I have figured out depending on how the part is assembled you get two outcomes and if the part is mated opposite side to how the feature was patterned you get the parts going the wrong way (see attached pic).
Is there a “flip direction” option anywhere or do you just have to be super diligent on how the seed feature orientation is in relation to the assembled pattern?
I want to create a flat pattern of a sheet metal-part that I've used in an assembly. In this assembly I've made cut-outs in some of the parts (see attached .png). Is it possible to get at flat pattern of the specific parts with the cutouts? I can e-mail a ZIP-file with the assembly (the file was too large too attach).
I created an iLogic rule that allows in a sheet metal part to the informations Length, widht and area of a flat pattern. This rule run and the iproerties are created (see attachment file).
Now, I will run this rule from an assembly file to create automatically, in all sheet metal components, theses iproperties.
Is it possible ? what must I change in this rule ?
There are many examples of creating rectangular patterns, but not many, if any, of interrogating existing patterns.I have attached the files and a screenshot of a rectangular part inside an assembly. The part contains a rectangular pattern of holes and workplanes.how do I get hold of each proxy of the workplane in the pattern?In other words I don't know what to put in the for loop at the end of this code fragment:
If _invApp.Documents.Count = 0 Then MsgBox("Need to open an the assembly document") ReturnEnd If If _invApp.ActiveDocument.DocumentType <> DocumentTypeEnum.kAssemblyDocumentObject Then MsgBox("Need to have an Assembly document active") ReturnEnd If Dim asmDoc As Assembly Document asmDoc = _invApp.ActiveDocument Dim asmDef As AssemblyComponentDefinition asmDef = asmDoc.ComponentDefinition im occurrences As ComponentOccurrencesoccurrences. [code]....
How can I make a circular pattern of a single occurence of a rectangular pattern?
A shaft has a rectangular pattern of holes (along its axis) on its surface. I want to pattern the 4th occurence of this hole pattern as a circular pattern? Can I do it in Autodesk. I can not select the a specific occurance of a patterned feature to pattern it again.
As you see in the template photo (the photo was scanned by Microsoft Security Essentials, healthy) I wanted to extrude my circle, and I made 28 pieces with circular pattern feature; now, do I have to choose all the pieces by one by to be able to choose all?
The sum of the problem: while using the Circular Pattern feature or rectangular pattern feature in Inventor, sometimes I want to extrude (join) or cut the drawings that I made (augmented) with using circular pattern feature, rectangular pattern feature. in this case do I have to choose all the augmented members one by one (for instance I make 42 augmented members), it can take a lot of time.?
Is it possible to take a feature created by a pattern and reuse it to create another pattern? I have a circular part on which I have created a linear pattern (using the rectangular pattern feature) of holes, 6 in total listed as 3 ccurrences. if we number the holes 1-6, I would like to make a circular pattern based off holes 2 and 5. I have been unable to figure out how to select the individual "occurrence" related to the hole once in the pattern feature. If I create the circular pattern first and then the linear and try to suppress the others it supresses both holes in the occurrence.
I am creating an assembly with my base part being a weldment. I've added other components that mount to my base part. Now I need to add fasteners to the mating components. I have added my first fastener and now want to pattern the said fastener using the "Pattern Component" and by using the "Feature Pattern Select" option and selecting "Associated Feature Pattern". At this point I have already selected the component that I want to pattern and selected the "Associated Feature Pattern" to select my base pattern. The only problem is that I am unable to select the pattern desired.
A note on how my Weldment was constructed -The holes were created in the "machining" step of the weldment, not in the individual part before it was placed in the weldment assembly.
If I move the hole feature and its pattern to the individual part and then place it in the weldment assembly, I can then create an "Associated Feature Pattern" in my assembly file.Why can I NOT create the associated pattern when my hole features are created in the weldment assembly? Or am I missing something?
I have an assembly which I am using as a icopy component. In the assembly I have the adaptive sketch which os used for the icopy function and a part which is adaptive to the sketch. I then have the part pattern itself in the assembly. The problem is the pattern will not update when changes are made unless I edit the pattern. The pattern references parameters from the sketch so that when the sketch changes the pattern should change. It works but the pattern will not update unless i open the pattern to edit it. Is there a vb function which will force the pattern to update when a change is made? I tried the update document vb functions but no change. I will try to get a sample together that is a smaller file size so you can see what I am talking about.
I'm looking for the best way to create a separate assembly out of various component parts in an existing assembly so that the whole thing can be placed in an assembly as you would a part, I know it's possible to demote components within an assembly but are there any other methods similar / better ?
We have an iLogic assembly with to parts in it. Maybe to cylindrical parts. The iLogic rules should do the following.
1. Start a Rule after open document.
2. This Rule starts a Rule in the first cylindrical component.
3. This Rule ask the user for a diameter.
4. The assembly gives this new parameter value to the second component
5. Then the assembly calls another rule in the second component to change it with the new parameter
Everything is working fine when the following combinations are taking place:
1. I open up the assembly out of vault or from a local drive or an accessible server drive
2. I insert the assembly as sub assembly in another assembly from a local drive or an accessible server drive
It don't work with the following situation:
- I insert the assembly as sub assembly in another assembly out of vault
Then the user becomes the dialog "Choose a diameter" twice.
I don't know why, but I have the idea it has something to do with the functionality of inventor to insert a component more than once. If you insert a component in an assembly Inventor gives you the opportunity to add more than one occurence after each other.
change that behaviour? Maybe a switch to change that inventor "add more than one occurence" behaviour.
I have encountered a problem with the Tube and Pipe styles.
As you can see, I have a rack assembly with a custom tube and pipe style. A wire as a tube in orange, and a tube support in white. Both have their seperate colorations at a style in the tube and pipe styles editor
When placing the rack assembly into the main assembly, it reverts to the coppor coloration I changed from the original style.
Steps I've taken:
Exported the styles .xml and Imported the styles into the master tubeandpipe.iam
Imported the user created .xml styles into the main assembly file nothing seems to work
I am trying to find the interior volume of an assembly (when am I not?!?!) by subtracting the assembly from a block that surrounds the most of it. Somewhere the assembly has a "leak" and I have been trying to use the Cross Section Analysis to track down where the inside lump is connected to the outside lump to be subtracted. Is there a less time consuming way to dynamically drag a plane across and get cross sectional views?
Even better is there a simple way to animate the analysis plane moving across the block so I can hopefully just watch and pause it when I find a leak?
My assembly has grown (about 50 parts) to where I need to consolodate some parts into subassemblies for reuse and alternate iterations of the basic design.
When I import the original parts into a new assembly, all of the constrains I created are not there of course.
I've tried creating a new empty part and then deriving a new part from the assembly, but I can't add, delete or edit any parts.
I looked at using Shrinkwrap, Substitutes, iParts, Multi-body Parts, and Multiple Solids but I remain confused.
In retrospect, maybe I should have created the subassemblies between the part and assembly stage but I didn't.
I want to be able to control the location/position of a component in an assembly. This is easy enough through the iProperties/Occurrence tab and then adjust the location of the X,Y, and Z offsets. Is this possible using iLogic? I have been unable to find a function to access via iLogic. Ultimately I am trying to translate a component about an axis not a pattern.
I have a two part duct fire damper assembly. The IDW has the combined two part assembly, which I know how to turn the CoG on, so that it can be dimensioned. The problem is each piece will more than likely be hoisted separately so I would like to show the CoG for each piece, not the combined master assy.is there a way to do this?
Inventor 2014 Windows 7 Pro SP1 Intel(R) Core(TM) i7-3770k CPU @ 3.50GHz 16GB RAM NVIDIA Quadro 4000 3D Connexion SpaceMouse Pro
I would like to see if there is a routine that allows my iLogic code to detect if my assembly contains another assembly within it. If my assebly contains assemblies then I don't want "MyRule" to run. Else if it does then I want "MyRule" to run.